# Pipeline

[![Matrix](https://img.shields.io/badge/Matrix-Join-brightgreen)](https://matrix.to/#/%23pipelineapp:matrix.org)
[![Translation status](https://hosted.weblate.org/widgets/schmiddi-on-mobile/-/pipeline/svg-badge.svg)](https://hosted.weblate.org/engage/schmiddi-on-mobile/)


Pipeline lets you watch and download videos from YouTube and PeerTube, all without needing to navigate through different websites.

## Screenshots
![](/data/screenshots/feed.png)

## Installation

<table>
  <tr>
    <td>Flatpak</td>
    <td>
      <a href='https://flathub.org/apps/details/de.schmidhuberj.tubefeeder'><img width='130' alt='Download on Flathub' src='https://flathub.org/assets/badges/flathub-badge-en.png'/></a>
    </td>
  </tr>
  <tr>
    <td>Arch Linux (AUR)</td>
    <td>[pipeline-gtk](https://aur.archlinux.org/packages/pipeline-gtk)</td>
  </tr>
</table>

## Features

- Subscribe to channels
- Play videos with any video player
- Filter out unwanted videos in the feed
- Import subscriptions from [NewPipe](https://github.com/TeamNewPipe/NewPipe/) or YouTube
- Multiple platforms
    - YouTube (using Piped as the backend to prevent throttling)
    - PeerTube
    - suggest any other platform with a good API and it will be considered

## Contributing

See the [Contributing page](CONTRIBUTING.md).

## Translation

Pipeline can easily be translated for other languages, as it uses gettext. Please consider contributing translations using [Weblate](https://hosted.weblate.org/engage/schmiddi-on-mobile/), as an alternative you can also open merge requests and I will notify you if updates are necessary. Thanks to Weblate for free hosting and all the translators for their great work keeping the translations up-to-date.

<a href="https://hosted.weblate.org/engage/schmiddi-on-mobile/">
<img src="https://hosted.weblate.org/widgets/schmiddi-on-mobile/-/pipeline/multi-auto.svg" alt="Translation status" />
</a>

## Wiki

Please also take a look at the [wiki](https://gitlab.com/schmiddi-on-mobile/pipeline/-/wikis/home) for more information on how to use the app.

## Donate

If you like this project and have some spare Monero left, consider donating to my Monero address:

Monero:
```
82pRFY4iUjVUWm48ykaTKbjYeDksdMunWPHbrDbTmyKF7PWAxNX8FXM7G6B1n4NFvHfr3ztEg411A2gCjJjNJ8PtEnmcehf
```
